Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06549 Crash/Freeze Critical (emulator) Always Apr 26, 2017, 20:12 Jun 3, 2017, 01:03
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To AJR Resolution Fixed OS Windows Vista/7/8 (32-bit)
Status [?] Resolved Driver pcipc.cpp
Version 0.185 Fixed in Version 0.186 Build Debug
Summary MESS-specific 06549: All sets in pcipc.cpp: [debug] Assert when starting emulation
Description
Fatal error: Handler driver_data::pam0_r specifies 3 subunits with a mask of 00000000FFFFFF00; needs to be a power of 2
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version
Affected Sets / Systems All sets in pcipc.cpp
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.13868
Osso
Developer
Jun 2, 2017, 09:32
This doesn't happen with a 0.186 64 bit debug build. Can anyone confirm?
User avatar
No.13876
AJR
Developer
Jun 3, 2017, 01:02
The "power of 2" restriction was relaxed in 902d2d924b8d2586ec1077a2291525ea42d17dc1, though I fixed this specific issue even before that in 25e08899bf86db6fe64951a5b1b7bc0e1f9207a9.

It's still possible for improper subunit mapping to produce a fatal error in non-debug builds as well; this will probably only occur when devices that dynamically insert memory handlers make incorrect assumptions about bus width, as wd7600 did before 39a0d362de134d66a8a266e60012975beaa8bbd9.